PROC PRINTTO LOG='Z:/rais/logs/rais-draw-metro-male.log' PRINT='Z:/rais/logs/rais-draw-metro-male.log' NEW;
RUN;

**********************************************************************;
* April 25, 2006;
* THIS PROGRAM:
* 1) IMPORTS RANDOM DRAW FILE FROM CSV TO SAS;
* 2) MERGES RANDOM DRAW FILE TO INDIVIDUAL PIS FILES;
* 3) APPENDS RANDOM DRAW FILES TO GENERATE A SINGLE RANDOM DRAW FILE;
* 4) CREATES A LIST OF ALL CNPJ EVER IN WORKER RANDOM DRAWS;
**********************************************************************;

LIBNAME DRAWS 'Z:/rais/draws/metro';
LIBNAME METRO 'Z:/rais/draws/metro';
LIBNAME BASEPIS 'Z:/rais/base-pis';
OPTIONS SORTSIZE=MAX;
OPTIONS SORTDEV='Z:/rais/temp';

*** IMPORT DRAWS DATA FILE;
DATA DRAWS.RAIS_DRAW_WORKERS_METRO (KEEP=PIS WID RM);
  INFILE 'Z:/rais/draws/metro/rais-draw-workers-metro.csv' DELIMITER = ',' MISSOVER DSD LRECL=32767 FIRSTOBS=2;
  LENGTH PIS 8
         RM $6
         WID 8;
  INFORMAT PIS BEST32.;
  INFORMAT WID BEST32.;
  INFORMAT METRO $16.;
  INFORMAT RM $5.;
  FORMAT PIS BEST12.;
  FORMAT WID BEST12.;
  FORMAT METRO $16.;
  FORMAT RM $5.;
  INPUT PIS
        WID
        METRO $
        RM $;
RUN;

PROC SORT DATA=DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
RUN;


*** MERGE DRAWS TO PIS DATA;

* MERGE BY PIS IN FILE 1;
DATA METRO.PIS_MALE_1;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_1 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 10;
DATA METRO.PIS_MALE_10;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_10 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 100;
DATA METRO.PIS_MALE_100;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_100 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aa;
DATA METRO.PIS_MALE_11aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ab;
DATA METRO.PIS_MALE_11ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ac;
DATA METRO.PIS_MALE_11ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ad;
DATA METRO.PIS_MALE_11ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ae;
DATA METRO.PIS_MALE_11ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11af;
DATA METRO.PIS_MALE_11af;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11af (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ag;
DATA METRO.PIS_MALE_11ag;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ag (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ah;
DATA METRO.PIS_MALE_11ah;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ah (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ai;
DATA METRO.PIS_MALE_11ai;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ai (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aj;
DATA METRO.PIS_MALE_11aj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ak;
DATA METRO.PIS_MALE_11ak;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ak (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11al;
DATA METRO.PIS_MALE_11al;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11al (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11am;
DATA METRO.PIS_MALE_11am;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11am (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11an;
DATA METRO.PIS_MALE_11an;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11an (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ao;
DATA METRO.PIS_MALE_11ao;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ao (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ap;
DATA METRO.PIS_MALE_11ap;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ap (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aq;
DATA METRO.PIS_MALE_11aq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ar;
DATA METRO.PIS_MALE_11ar;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ar (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11as;
DATA METRO.PIS_MALE_11as;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11as (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11at;
DATA METRO.PIS_MALE_11at;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11at (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11au;
DATA METRO.PIS_MALE_11au;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11au (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11av;
DATA METRO.PIS_MALE_11av;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11av (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aw;
DATA METRO.PIS_MALE_11aw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ax;
DATA METRO.PIS_MALE_11ax;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ax (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ay;
DATA METRO.PIS_MALE_11ay;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ay (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11az;
DATA METRO.PIS_MALE_11az;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11az (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ba;
DATA METRO.PIS_MALE_11ba;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ba (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bb;
DATA METRO.PIS_MALE_11bb;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bb (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bc;
DATA METRO.PIS_MALE_11bc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bd;
DATA METRO.PIS_MALE_11bd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11be;
DATA METRO.PIS_MALE_11be;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11be (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bf;
DATA METRO.PIS_MALE_11bf;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bf (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bg;
DATA METRO.PIS_MALE_11bg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bh;
DATA METRO.PIS_MALE_11bh;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bh (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bi;
DATA METRO.PIS_MALE_11bi;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bi (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bj;
DATA METRO.PIS_MALE_11bj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bk;
DATA METRO.PIS_MALE_11bk;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bk (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bl;
DATA METRO.PIS_MALE_11bl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bm;
DATA METRO.PIS_MALE_11bm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bn;
DATA METRO.PIS_MALE_11bn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 12;
DATA METRO.PIS_MALE_12;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_12 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aa;
DATA METRO.PIS_MALE_13aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ab;
DATA METRO.PIS_MALE_13ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ac;
DATA METRO.PIS_MALE_13ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ad;
DATA METRO.PIS_MALE_13ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ae;
DATA METRO.PIS_MALE_13ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13af;
DATA METRO.PIS_MALE_13af;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13af (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ag;
DATA METRO.PIS_MALE_13ag;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ag (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ah;
DATA METRO.PIS_MALE_13ah;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ah (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ai;
DATA METRO.PIS_MALE_13ai;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ai (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aj;
DATA METRO.PIS_MALE_13aj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ak;
DATA METRO.PIS_MALE_13ak;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ak (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13al;
DATA METRO.PIS_MALE_13al;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13al (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13am;
DATA METRO.PIS_MALE_13am;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13am (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13an;
DATA METRO.PIS_MALE_13an;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13an (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ao;
DATA METRO.PIS_MALE_13ao;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ao (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ap;
DATA METRO.PIS_MALE_13ap;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ap (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aq;
DATA METRO.PIS_MALE_13aq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ar;
DATA METRO.PIS_MALE_13ar;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ar (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13as;
DATA METRO.PIS_MALE_13as;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13as (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13at;
DATA METRO.PIS_MALE_13at;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13at (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13au;
DATA METRO.PIS_MALE_13au;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13au (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13av;
DATA METRO.PIS_MALE_13av;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13av (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aw;
DATA METRO.PIS_MALE_13aw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ax;
DATA METRO.PIS_MALE_13ax;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ax (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ay;
DATA METRO.PIS_MALE_13ay;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ay (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ba;
DATA METRO.PIS_MALE_13ba;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ba (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bb;
DATA METRO.PIS_MALE_13bb;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bb (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bc;
DATA METRO.PIS_MALE_13bc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bd;
DATA METRO.PIS_MALE_13bd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13be;
DATA METRO.PIS_MALE_13be;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13be (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bf;
DATA METRO.PIS_MALE_13bf;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bf (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bg;
DATA METRO.PIS_MALE_13bg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bh;
DATA METRO.PIS_MALE_13bh;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bh (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bi;
DATA METRO.PIS_MALE_13bi;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bi (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bj;
DATA METRO.PIS_MALE_13bj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bk;
DATA METRO.PIS_MALE_13bk;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bk (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bl;
DATA METRO.PIS_MALE_13bl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bm;
DATA METRO.PIS_MALE_13bm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bn;
DATA METRO.PIS_MALE_13bn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bo;
DATA METRO.PIS_MALE_13bo;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bo (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bp;
DATA METRO.PIS_MALE_13bp;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bp (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bq;
DATA METRO.PIS_MALE_13bq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13br;
DATA METRO.PIS_MALE_13br;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13br (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bs;
DATA METRO.PIS_MALE_13bs;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bs (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bt;
DATA METRO.PIS_MALE_13bt;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bt (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bu;
DATA METRO.PIS_MALE_13bu;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bu (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bv;
DATA METRO.PIS_MALE_13bv;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bv (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bw;
DATA METRO.PIS_MALE_13bw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bx;
DATA METRO.PIS_MALE_13bx;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bx (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13by;
DATA METRO.PIS_MALE_13by;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13by (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ca;
DATA METRO.PIS_MALE_13ca;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ca (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cb;
DATA METRO.PIS_MALE_13cb;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cb (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cc;
DATA METRO.PIS_MALE_13cc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cd;
DATA METRO.PIS_MALE_13cd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ce;
DATA METRO.PIS_MALE_13ce;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ce (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cf;
DATA METRO.PIS_MALE_13cf;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cf (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cg;
DATA METRO.PIS_MALE_13cg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ch;
DATA METRO.PIS_MALE_13ch;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ch (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ci;
DATA METRO.PIS_MALE_13ci;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ci (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cj;
DATA METRO.PIS_MALE_13cj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ck;
DATA METRO.PIS_MALE_13ck;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ck (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cl;
DATA METRO.PIS_MALE_13cl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cm;
DATA METRO.PIS_MALE_13cm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cn;
DATA METRO.PIS_MALE_13cn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13co;
DATA METRO.PIS_MALE_13co;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13co (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cp;
DATA METRO.PIS_MALE_13cp;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cp (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cq;
DATA METRO.PIS_MALE_13cq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cr;
DATA METRO.PIS_MALE_13cr;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cr (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cs;
DATA METRO.PIS_MALE_13cs;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cs (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ct;
DATA METRO.PIS_MALE_13ct;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ct (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cu;
DATA METRO.PIS_MALE_13cu;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cu (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cv;
DATA METRO.PIS_MALE_13cv;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cv (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cw;
DATA METRO.PIS_MALE_13cw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cx;
DATA METRO.PIS_MALE_13cx;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cx (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cy;
DATA METRO.PIS_MALE_13cy;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cy (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13da;
DATA METRO.PIS_MALE_13da;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13da (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13db;
DATA METRO.PIS_MALE_13db;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13db (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dc;
DATA METRO.PIS_MALE_13dc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dd;
DATA METRO.PIS_MALE_13dd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13de;
DATA METRO.PIS_MALE_13de;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13de (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13df;
DATA METRO.PIS_MALE_13df;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13df (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dg;
DATA METRO.PIS_MALE_13dg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dh;
DATA METRO.PIS_MALE_13dh;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dh (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13di;
DATA METRO.PIS_MALE_13di;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13di (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dj;
DATA METRO.PIS_MALE_13dj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dk;
DATA METRO.PIS_MALE_13dk;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dk (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dl;
DATA METRO.PIS_MALE_13dl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dm;
DATA METRO.PIS_MALE_13dm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dn;
DATA METRO.PIS_MALE_13dn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13do;
DATA METRO.PIS_MALE_13do;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13do (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dp;
DATA METRO.PIS_MALE_13dp;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dp (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dq;
DATA METRO.PIS_MALE_13dq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dr;
DATA METRO.PIS_MALE_13dr;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dr (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ds;
DATA METRO.PIS_MALE_13ds;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ds (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dt;
DATA METRO.PIS_MALE_13dt;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dt (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13du;
DATA METRO.PIS_MALE_13du;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13du (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dv;
DATA METRO.PIS_MALE_13dv;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dv (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dw;
DATA METRO.PIS_MALE_13dw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dx;
DATA METRO.PIS_MALE_13dx;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dx (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dy;
DATA METRO.PIS_MALE_13dy;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dy (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 14;
DATA METRO.PIS_MALE_14;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_14 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 15;
DATA METRO.PIS_MALE_15;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_15 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 16;
DATA METRO.PIS_MALE_16;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_16 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 17;
DATA METRO.PIS_MALE_17;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_17 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aa;
DATA METRO.PIS_MALE_18aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ab;
DATA METRO.PIS_MALE_18ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ac;
DATA METRO.PIS_MALE_18ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ad;
DATA METRO.PIS_MALE_18ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ae;
DATA METRO.PIS_MALE_18ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18af;
DATA METRO.PIS_MALE_18af;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18af (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ag;
DATA METRO.PIS_MALE_18ag;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ag (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ah;
DATA METRO.PIS_MALE_18ah;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ah (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ai;
DATA METRO.PIS_MALE_18ai;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ai (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aj;
DATA METRO.PIS_MALE_18aj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ak;
DATA METRO.PIS_MALE_18ak;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ak (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18al;
DATA METRO.PIS_MALE_18al;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18al (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18am;
DATA METRO.PIS_MALE_18am;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18am (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18an;
DATA METRO.PIS_MALE_18an;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18an (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ao;
DATA METRO.PIS_MALE_18ao;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ao (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ap;
DATA METRO.PIS_MALE_18ap;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ap (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aq;
DATA METRO.PIS_MALE_18aq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ar;
DATA METRO.PIS_MALE_18ar;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ar (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18as;
DATA METRO.PIS_MALE_18as;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18as (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18at;
DATA METRO.PIS_MALE_18at;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18at (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18au;
DATA METRO.PIS_MALE_18au;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18au (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18av;
DATA METRO.PIS_MALE_18av;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18av (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aw;
DATA METRO.PIS_MALE_18aw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ax;
DATA METRO.PIS_MALE_18ax;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ax (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ay;
DATA METRO.PIS_MALE_18ay;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ay (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19aa;
DATA METRO.PIS_MALE_19aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ab;
DATA METRO.PIS_MALE_19ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ac;
DATA METRO.PIS_MALE_19ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ad;
DATA METRO.PIS_MALE_19ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ae;
DATA METRO.PIS_MALE_19ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 2;
DATA METRO.PIS_MALE_2;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_2 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 20;
DATA METRO.PIS_MALE_20;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_20 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 21;
DATA METRO.PIS_MALE_21;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_21 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 22;
DATA METRO.PIS_MALE_22;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_22 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 23;
DATA METRO.PIS_MALE_23;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_23 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 24;
DATA METRO.PIS_MALE_24;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_24 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 25;
DATA METRO.PIS_MALE_25;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_25 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 26;
DATA METRO.PIS_MALE_26;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_26 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 27;
DATA METRO.PIS_MALE_27;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_27 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 28;
DATA METRO.PIS_MALE_28;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_28 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 29;
DATA METRO.PIS_MALE_29;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_29 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 3;
DATA METRO.PIS_MALE_3;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_3 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 30;
DATA METRO.PIS_MALE_30;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_30 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 31;
DATA METRO.PIS_MALE_31;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_31 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 32;
DATA METRO.PIS_MALE_32;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_32 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 33;
DATA METRO.PIS_MALE_33;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_33 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 34;
DATA METRO.PIS_MALE_34;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_34 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 35;
DATA METRO.PIS_MALE_35;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_35 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 36;
DATA METRO.PIS_MALE_36;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_36 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 37;
DATA METRO.PIS_MALE_37;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_37 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 38;
DATA METRO.PIS_MALE_38;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_38 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 39;
DATA METRO.PIS_MALE_39;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_39 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 4;
DATA METRO.PIS_MALE_4;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_4 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 40;
DATA METRO.PIS_MALE_40;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_40 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 41;
DATA METRO.PIS_MALE_41;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_41 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 42;
DATA METRO.PIS_MALE_42;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_42 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 43;
DATA METRO.PIS_MALE_43;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_43 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 44;
DATA METRO.PIS_MALE_44;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_44 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 45;
DATA METRO.PIS_MALE_45;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_45 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 46;
DATA METRO.PIS_MALE_46;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_46 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 47;
DATA METRO.PIS_MALE_47;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_47 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 48;
DATA METRO.PIS_MALE_48;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_48 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 49;
DATA METRO.PIS_MALE_49;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_49 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 5;
DATA METRO.PIS_MALE_5;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_5 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 50;
DATA METRO.PIS_MALE_50;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_50 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 51;
DATA METRO.PIS_MALE_51;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_51 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 52;
DATA METRO.PIS_MALE_52;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_52 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 53;
DATA METRO.PIS_MALE_53;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_53 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 54;
DATA METRO.PIS_MALE_54;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_54 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 55;
DATA METRO.PIS_MALE_55;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_55 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 56;
DATA METRO.PIS_MALE_56;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_56 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 57;
DATA METRO.PIS_MALE_57;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_57 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 58;
DATA METRO.PIS_MALE_58;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_58 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 59;
DATA METRO.PIS_MALE_59;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_59 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 6;
DATA METRO.PIS_MALE_6;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_6 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 60;
DATA METRO.PIS_MALE_60;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_60 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 61;
DATA METRO.PIS_MALE_61;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_61 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 62;
DATA METRO.PIS_MALE_62;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_62 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 63;
DATA METRO.PIS_MALE_63;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_63 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 64;
DATA METRO.PIS_MALE_64;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_64 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 65;
DATA METRO.PIS_MALE_65;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_65 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 66;
DATA METRO.PIS_MALE_66;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_66 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 67;
DATA METRO.PIS_MALE_67;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_67 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 68;
DATA METRO.PIS_MALE_68;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_68 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 69;
DATA METRO.PIS_MALE_69;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_69 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 7;
DATA METRO.PIS_MALE_7;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_7 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 70;
DATA METRO.PIS_MALE_70;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_70 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 71;
DATA METRO.PIS_MALE_71;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_71 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 72;
DATA METRO.PIS_MALE_72;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_72 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 73;
DATA METRO.PIS_MALE_73;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_73 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 74;
DATA METRO.PIS_MALE_74;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_74 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 75;
DATA METRO.PIS_MALE_75;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_75 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 76;
DATA METRO.PIS_MALE_76;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_76 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 77;
DATA METRO.PIS_MALE_77;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_77 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 78;
DATA METRO.PIS_MALE_78;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_78 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 79;
DATA METRO.PIS_MALE_79;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_79 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 8;
DATA METRO.PIS_MALE_8;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_8 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 80;
DATA METRO.PIS_MALE_80;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_80 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 81;
DATA METRO.PIS_MALE_81;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_81 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 82;
DATA METRO.PIS_MALE_82;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_82 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 83;
DATA METRO.PIS_MALE_83;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_83 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 84;
DATA METRO.PIS_MALE_84;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_84 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 85;
DATA METRO.PIS_MALE_85;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_85 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 86;
DATA METRO.PIS_MALE_86;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_86 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 87;
DATA METRO.PIS_MALE_87;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_87 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 88;
DATA METRO.PIS_MALE_88;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_88 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 89;
DATA METRO.PIS_MALE_89;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_89 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 9;
DATA METRO.PIS_MALE_9;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_9 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 90;
DATA METRO.PIS_MALE_90;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_90 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 91;
DATA METRO.PIS_MALE_91;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_91 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 92;
DATA METRO.PIS_MALE_92;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_92 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 93;
DATA METRO.PIS_MALE_93;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_93 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 94;
DATA METRO.PIS_MALE_94;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_94 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 95;
DATA METRO.PIS_MALE_95;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_95 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 96;
DATA METRO.PIS_MALE_96;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_96 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 97;
DATA METRO.PIS_MALE_97;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_97 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 98;
DATA METRO.PIS_MALE_98;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_98 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 99;
DATA METRO.PIS_MALE_99;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_99 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_METRO;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  IF SEXO=2  THEN DELETE;
  DROP PIS;
RUN;


*** APPEND FILES;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_1;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_10;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_100;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11aa;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ab;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ac;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ad;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ae;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11af;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ag;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ah;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ai;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11aj;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ak;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11al;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11am;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11an;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ao;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ap;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11aq;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ar;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11as;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11at;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11au;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11av;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11aw;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ax;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ay;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11az;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11ba;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bb;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bc;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bd;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11be;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bf;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bg;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bh;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bi;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bj;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bk;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bl;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bm;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_11bn;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_12;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13aa;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ab;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ac;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ad;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ae;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13af;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ag;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ah;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ai;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13aj;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ak;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13al;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13am;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13an;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ao;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ap;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13aq;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ar;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13as;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13at;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13au;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13av;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13aw;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ax;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ay;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ba;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bb;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bc;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bd;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13be;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bf;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bg;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bh;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bi;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bj;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bk;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bl;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bm;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bn;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bo;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bp;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bq;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13br;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bs;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bt;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bu;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bv;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bw;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13bx;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13by;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ca;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cb;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cc;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cd;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ce;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cf;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cg;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ch;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ci;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cj;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ck;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cl;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cm;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cn;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13co;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cp;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cq;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cr;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cs;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ct;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cu;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cv;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cw;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cx;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13cy;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13da;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13db;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dc;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dd;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13de;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13df;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dg;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dh;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13di;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dj;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dk;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dl;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dm;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dn;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13do;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dp;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dq;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dr;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13ds;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dt;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13du;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dv;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dw;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dx;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_13dy;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_14;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_15;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_16;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_17;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18aa;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ab;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ac;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ad;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ae;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18af;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ag;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ah;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ai;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18aj;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ak;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18al;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18am;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18an;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ao;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ap;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18aq;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ar;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18as;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18at;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18au;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18av;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18aw;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ax;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_18ay;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_19aa;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_19ab;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_19ac;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_19ad;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_19ae;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_2;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_20;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_21;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_22;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_23;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_24;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_25;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_26;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_27;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_28;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_29;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_3;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_30;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_31;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_32;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_33;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_34;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_35;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_36;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_37;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_38;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_39;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_4;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_40;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_41;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_42;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_43;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_44;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_45;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_46;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_47;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_48;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_49;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_5;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_50;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_51;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_52;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_53;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_54;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_55;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_56;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_57;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_58;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_59;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_6;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_60;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_61;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_62;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_63;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_64;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_65;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_66;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_67;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_68;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_69;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_7;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_70;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_71;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_72;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_73;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_74;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_75;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_76;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_77;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_78;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_79;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_8;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_80;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_81;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_82;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_83;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_84;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_85;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_86;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_87;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_88;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_89;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_9;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_90;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_91;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_92;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_93;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_94;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_95;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_96;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_97;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_98;
RUN;

PROC APPEND BASE=METRO.WID_DRAW_MALE DATA=METRO.PIS_MALE_99;
RUN;


*** SORT DRAW DATA;
PROC SORT DATA=METRO.WID_DRAW_MALE OUT=METRO.WID_DRAW_MALE;
  BY WID ANO MES_ADM;
RUN;


*** GET CNPJ LIST;
DATA METRO.CNPJ_LIST (KEEP=IDENTIFICAD);
  SET METRO.WID_DRAW_MALE;
RUN;

PROC SORT DATA=METRO.CNPJ_LIST OUT=METRO.CNPJ_LIST NODUPRECS;
  BY IDENTIFICAD;
RUN;


*** EXPORT TO CSV;
PROC EXPORT DATA= DRAWS.WID_DRAW_MALE
  OUTFILE= "Z:/rais/draws/metro/wid-draw-workers-metro-male.csv"
  DBMS=CSV REPLACE;
RUN;
